> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.getmeadow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog

> New updates and improvements to the Meadow API

<Update label="June 9, 2026">
  * Adds `onfleetTask` and `apiConsumerName` to [GET /api/v1/orders](/endpoints/analytics/list-orders) and [GET /api/v1/orders/\{orderId}/detail](/endpoints/analytics/retrieve-order)
</Update>

<Update label="April 24, 2026">
  * Adds [GET /api/v1/packages](/endpoints/analytics/list-packages)
  * Adds [GET /api/v1/packages/\{label}](/endpoints/analytics/retrieve-package)
</Update>

<Update label="March 11, 2026">
  * Adds [POST /api/v1/documents/\{customerId}/\{documentType}](/endpoints/orders/upload-document)
</Update>

<Update label="December 15, 2025">
  * Adds [POST /api/v1/loyalty-events](/endpoints/customers/add-loyalty-points)
</Update>

<Update label="September 16, 2025">
  * Adds `shift` to response body of [GET /api/v1/orders](/endpoints/analytics/list-orders) and [GET /api/v1/orders/\{orderId}/detail](/endpoints/analytics/retrieve-order)
</Update>

<Update label="June 10, 2025">
  * Adds new endpoint: [GET /api/v1/compliance-transfers](/endpoints/analytics/list-compliance-transfers)
</Update>

<Update label="June 2, 2025">
  * Adds `address` to response body of [GET /api/v1/orders](/endpoints/analytics/list-orders) and [GET /api/v1/orders/\{orderId}/detail](/endpoints/analytics/retrieve-order)
</Update>

<Update label="April 28, 2025">
  * Adds [GET /api/v1/customer-groups](/endpoints/customers/list-customer-groups)
  * Adds [PUT /api/v1/customer-groups/\{customerGroupId}/add-customer](/endpoints/customers/add-customer-to-group)
  * Adds [PUT /api/v1/customer-groups/\{customerGroupId}/remove-customer](/endpoints/customers/remove-customer-from-group)
</Update>

<Update label="April 8, 2025">
  * Adds `userId` query parameter to [GET /api/v1/orders](/endpoints/analytics/list-orders)
  * Adds `customer` object to response body of [POST /api/v1/orders](/endpoints/orders/create-order)
</Update>

<Update label="January 13, 2025">
  Meadow added support for multiple payments on a single order from our e-commerce menu and iPad point of sale. Please look at the following changes to support multiple payments:

  * Adds `payments` property to [GET /api/v1/orders](/endpoints/analytics/list-orders)
  * Adds `payments` property to [GET /api/v1/orders/\{orderId}/detail](/endpoints/analytics/retrieve-order)
</Update>

<Update label="December 12, 2024">
  We've added a slew of new endpoints to our Products & Inventory section. This will allow you to create purchase orders for a client along with all of their associated product information.

  * Adds [POST /api/v1/products](/endpoints/products/create-product)
  * Adds [PUT /api/v1/products/\{productId}](/endpoints/products/update-product)
  * Adds [PUT /api/v1/products/\{productId}/options](/endpoints/products/update-product-options)
  * Adds [GET /api/v1/product-categories](/endpoints/products/list-categories)
  * Adds [GET /api/v1/product-sub-categories](/endpoints/products/list-sub-categories)
  * Adds [POST /api/v1/purchase-orders](/endpoints/products/create-purchase-order)
  * Adds [PUT /api/v1/purchase-orders/\{purchaseOrderId}](/endpoints/products/update-purchase-order)
</Update>

<Update label="May 30, 2024">
  * Adds `type` query parameter to [GET /api/v1/orders](/endpoints/analytics/list-orders)
</Update>

<Update label="February 20, 2024">
  * Adds `primaryCategory` to order line items returned from [GET /api/v1/orders](/endpoints/analytics/list-orders) and [GET /api/v1/orders/\{orderId}/detail](/endpoints/analytics/retrieve-order)
</Update>

<Update label="February 2, 2024">
  * Adds `sortBy` query parameter to [GET /api/v1/customers](/endpoints/customers/list-customers)
  * Adds [GET /api/v1/order-returns](/endpoints/analytics/list-order-returns)
</Update>

<Update label="January 24, 2024">
  * Adds [GET /api/v1/purchase-orders](/endpoints/analytics/list-purchase-orders)
</Update>

<Update label="July 28, 2023">
  * Adds [GET /api/v1/orders/\{orderId}/detail](/endpoints/analytics/retrieve-order)
  * Adds [GET /api/v1/customers/\{customerId}](/endpoints/customers/retrieve-customer)
  * Adds [GET /api/v1/inventory-locations](/endpoints/analytics/list-inventory-locations)
  * Adds `fulfilledOnly` query parameter to [GET /api/v1/orders](/endpoints/analytics/list-orders)
    * When set to `true`, only fulfilled orders will be returned in reverse chronological order
</Update>

<Update label="June 30, 2023">
  Adds the following fields to [GET /api/v1/customers](/endpoints/customers/list-customers)

  * `licenseExpiry` - The expiration date of this customer’s drivers license or `null` if it is not recorded.

  Adds the following fields to [GET /api/v1/orders](/endpoints/analytics/list-orders)

  * `customer.licenseExpiry` - The expiration date of this customer’s drivers license or `null` if it is not recorded.
  * `customer.medicalExpiration` - The expiration date of their medical recommendation or `null` if they are an adult use customer
</Update>

<Update label="May 24, 2023">
  Adds the following fields to [GET /api/v1/customers](/endpoints/customers/list-customers)

  * `marketingOptIn` - Whether this customer has opted in to receive marketing
  * `marketingOptInAt` - When the customer opted in if they did
</Update>

<Update label="May 12, 2023">
  Adds the following fields to [GET /api/v1/customers](/endpoints/customers/list-customers)

  * `updatedAt` - The time this customer was last updated
  * `customerGroups` An array of strings for customer groups this customer is a part of (Example: Veterans, Seniors, etc.)
  * `medicalExpiration` - The expiration date of their medical recommendation or `null` if they are an adult use customer

  Adds the following fields to [GET /api/v1/orders](/endpoints/analytics/list-orders)

  * `returns` - Please see documentation for full definition
  * `lineItems[].fulfillAs` - Please see documentation for full definition
</Update>
